%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                        AUTOLAND EVALUATION                             %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clearvars
global ACSP
initACSP;
initALS1;

% ----------------------------------------------------------
%%    MONTE-CARLO :  AVERAGE RISKS FOR CHALLENGE
% ----------------------------------------------------------
N=2000;               % number of simulation trials, 2000 for challenge
% FPscale.WY33=1;      % 20 knots crosswind, target for benchmark
 FPscale.WY33=1.25; % 25 knots crosswind
% FPscale.WY33=1.50; % 30 knots crosswind

fprintf('Average Risk Evaluation with %d simulation trials and %d knots maximum crosswind:\n',N,20*FPscale.WY33)
[lstat,prob] = MCsim('ALS1',N,FPscale);


% ----------------------------------------------------------
%%    MONTE-CARLO :  LIMIT RISKS FOR CHALLENGE 
% ----------------------------------------------------------
LRpar.WY33=FPscale.WY33*20*0.5144;

fprintf('Limit Risk Evaluation with %d simulation trials and %d knots crosswind:\n',N,20*FPscale.WY33)
[lstat,prob] = MCsim('ALS1',N,1,LRpar);



